Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88322 - jerky execution of background program
Summary: jerky execution of background program
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 22:11 UTC by Bob T.
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:46 UTC


Attachments (Terms of Use)

Description Bob T. 2003-04-08 22:11:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-14 i686)

Description of problem:
I'm trying to run xhangglider as the "background program"
of the gdm login screen. This works fine on one box (a Duron)
but on an Athlon box the execution is slow and jerky, somewhat synchronized with
the pulsing of the cursor.  I can't figure out why.
Possibly some problem with the Athlon kernel I'm using 
(kernel-2.4.18-14.athlon.rpm) ?  It's definitely not because the program
requires too many cycles:  it runs standalone fine using just 1% of the CPU.

Version-Release number of selected component (if applicable):
gdm-2.4.0.7-13

How reproducible:
Always

Steps to Reproduce:
1. install xhangglider 
2. BackgroundProgram=/usr/local/bin/xhangglider -noflicker -pilot 8 in
/etc/X11/gdm/gdm.conf
3.
    

Actual Results:  xhangglider program runs slowly and jerkily

Expected Results:  smooth and fast execution

Additional info:

Comment 1 Havoc Pennington 2003-04-08 22:28:24 UTC
If you can track this down more definitively to a Red Hat problem 
we can look at it, but we aren't likely to download xhangglider and try 
to debug that. Can you reproduce it with any Red Hat provided software?

Why is the cursor pulsing? Perhaps the problem is an interaction between OpenGL or 
other graphics and the software cursor. That would be an XFree86 issue.

In any case, it's more likely to be XFree86 or kernel than gdm.



Comment 2 Bob T. 2003-04-08 23:29:10 UTC
1.  xfishtank works fine as the background program
2.  It's the username/password cursor that pulses, not the "pointer" cursor;
    I presume this is deliberate. It's the same cursor pulsing that is
happening     in this browser window as I type.
3.  The same version of XFree86 is running on the Duron/Athlon boxen, but the
    video cards and hence drivers are different.
4.  The reason I was considering this to be a gdm problem is that xhangglider 
    runs fine as a user program.

Comment 3 Havoc Pennington 2003-07-30 21:30:07 UTC
Must just be an X/kernel scheduling issue, I can't see how gdm would 
cause it.

The errata kernel for RHL9 may be much better in this respect.

Comment 4 Bugzilla owner 2004-09-30 15:40:46 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.